let
  sources = import ../nix/sources.nix {};
  pkgs = import sources.nixpkgs {};

  pythonEnv = pkgs.python3.withPackages (pkgs: with pkgs; [
    black
    mypy

    pyside2
    qdarkstyle
    requests
    dbus-python

    raven
  ]);

in
  pkgs.mkShell {
    name = "piket-client-shell";
    packages = [
      pythonEnv
    ];

    shellHook = with pkgs; ''
      export QT_QPA_PLATFORM_PLUGIN_PATH="${qt5.qtbase.bin}/lib/qt-${qt5.qtbase.version}/plugins";
      export PYTHONPATH=..
    '';
  }

